Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZContactSupplier Class Reference

## Public Member Functions
| __construct ()
& | urlTypes ()
| moduleName ()
& | urlList ( $type, $category=0, $offset=0)
& | item ( $type, $id, $is_category)

## Public Attributes
| $UrlTypes = array( "company" => "{intl-contact_company}" )

## Detailed Description

! eZContact The class ezcontactsupplier does

Definition at line 35 of file ezcontactsupplier.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZContactSupplier::__construct | ( |  | ) |

Definition at line 37 of file ezcontactsupplier.php.

## Member Function Documentation

## ◆ item()

& eZContactSupplier::item | ( |  | $type,
|  |  | $id,
|  |  | $is_category
| ) |  |

Definition at line 118 of file ezcontactsupplier.php.

References $category, $company, $id, $ret, $type, and $url.

## ◆ moduleName()

eZContactSupplier::moduleName | ( |  | ) |

Returns the name of the module.

Definition at line 52 of file ezcontactsupplier.php.

## ◆ urlList()

& eZContactSupplier::urlList | ( |  | $type,
|  |  | $category = `0`,
|  |  | $offset = `0`
| ) |  |

Returns a list of categories and/or contacts.

Definition at line 60 of file ezcontactsupplier.php.

References $categories, $category, $category_array, $companies, $company, $id, $ini, $limit, $offset, $ret, $type, $url, eZCompany\countByCategory(), and eZCompany\getByCategory().

## ◆ urlTypes()

& eZContactSupplier::urlTypes | ( |  | ) |

Returns an array of available types.

Definition at line 44 of file ezcontactsupplier.php.

References $UrlTypes.

## Member Data Documentation

## ◆ $UrlTypes

eZContactSupplier::$UrlTypes = array( "company" => "{intl-contact_company}" )

Definition at line 155 of file ezcontactsupplier.php.

Referenced by urlTypes().

The documentation for this class was generated from the following file:

- ezcontactsupplier.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.